OpenWrt 23.05.0-rc1 first release candidate

Running 23.05.0-rc1 on my new EA8300.
No issues so far.
Adblock and the collectd suite.
Up two days.

What's broken on the firmware selector?

It does not want to create an image with my set of packages.

Package list missing or not up-to-date, generating it.

Building package index...
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/targets/mediatek/mt7622/packages/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_core
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/targets/mediatek/mt7622/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/base/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_base
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/base/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/luci/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_luci
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/luci/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/packages/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_packages
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/routing/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_routing
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/routing/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/telephony/Packages.gz
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/openwrt_telephony
Downloading https://downloads.openwrt.org/releases/23.05.0-rc1/packages/aarch64_cortex-a53/telephony/Packages.sig
Signature check passed.
Downloading file:packages/Packages
Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc1/mediatek/mt7622/dl/imagebuilder
Downloading file:packages/Packages.sig
Signature check failed.
Remove wrong Signature file.
Collected errors:
 * pkg_hash_check_unresolved: cannot find dependency libubox20220927 for block-mount
 * pkg_hash_check_unresolved: cannot find dependency libblobmsg-json20220927 for block-mount
 * pkg_hash_fetch_best_installation_candidate: Packages for block-mount found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package block-mount.
 * pkg_hash_check_unresolved: cannot find dependency libubox20220927 for mtd
 * pkg_hash_fetch_best_installation_candidate: Packages for mtd found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package mtd.
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for mtd:
 * 	libubox20220927
 * opkg_install_cmd: Cannot install package mtd.
make[2]: *** [Makefile:186: package_install] Error 255
make[1]: *** [Makefile:151: _call_manifest] Error 2
make: *** [Makefile:271: manifest] Error 2

Note how the signature check failed.

Without block-mount and mtd, it does build an image, but I am not sure if I should try it, i.e. I am not sure if sysupgrade relies on the uninstallable mtd package. In other words, I am not sure if I would be able to upgrade further from this image, or revert.

Note that the default package selection for Linksys E8450 UBI includes mtd, but the image with the default packages is not buildable.

Tested 22.03.0-rc1 on my out-of-tree devices:
Device 1
Device 2,3
Rock stable. Except the known issue with switching off WiFi using Luci.

1 Like

That's definitely a build breakage, looks like the mt7622 config was borked. aarch64_cortex-a53 was built with libubox20230523, but all the dependents in mediatek/mt7622 were built against the 20220927 version, hence the inability to install. (List of dependents is quite long, not just block-mount and mtd, but qosify, snapshot-tool, umbim...)

1 Like

The release candidate snapshot should work. I plan on using that next on my WAX206 (it's currently running the main snapshot because rc1 imagebuilder failed for me for the same reason, but I want to stay targeted to 23.05, not main).

1 Like

23.05-rc1 works flawlessly here on my E8450. Uptime over 11 days now. With wifi.

Just the Mediatek MT7915 Apple AX upload performance bug that limits AX Apple iOS uploads to about 13 Mbit/s with obstacles in line of sight is an issue, but this is also unresolved in 22.03 and in master snapshots.

Release candidate snapshots are not in the firmware selector, so - won't test.

Normal snapshot has been already tested.

Oh I meant the locally-downloadable one, not the "cloud" one. Edit: I mean the imagebuilder.

I see it there, if this is what you're talking about: https://firmware-selector.openwrt.org/?version=23.05.0-rc1&target=mediatek%2Fmt7622&id=linksys_e8450

1 Like

No, it is not what I mean.

Non-UBI images for Linksys E8450 have no use because the official installation instruction tells one to convert the device to UBI.

So you probably meant this link: https://firmware-selector.openwrt.org/?version=23.05.0-rc1&target=mediatek%2Fmt7622&id=linksys_e8450-ubi

But this is 23.05.0-rc1 (which is broken when one tries a custom package selection), not 23.05-SNAPSHOT (which was suggested).

Yeah, release snapshots are hidden here: https://downloads.openwrt.org/releases/23.05-SNAPSHOT/targets/mediatek/mt7622/

You might as well just wait for RC2.

1 Like

Where is the problem in downloading the E8450 UBI sysupgrade image from https://downloads.openwrt.org/releases/23.05.0-rc1/targets/mediatek/mt7622/ ?

Packages can be reinstalled after flashing, with two opkg commands. E8450 has enough space.

Given the sorry state of the repository exposed by the firmware selector, I would rather not try. The same inconsistency (regarding what has been built against what) could show up elsewhere.

I will wait for RC2.

1 Like

As written before, I run this 23.05-rc1 UBI image on my E8450 with over 11 days uptime now.

This is not a master snapshot image that is completely untested, it’s a release candidate.

I also was running 23.05-snapshot successfully before.

1 Like

Please Fix Versions 22.03.x & 23.05.x Series for TP-Link TL-WR841N V13.
This Versions is Not Stable !!!
When I install This Versions & I enable wifi or save settings. My router is reboot & Don,t save settings :frowning:
Last Stable Version 21.02.7 :slight_smile:

You have this device. Who else can fix it? :slight_smile: First of all I suggest open an issue on GitHub and attach necessary info.

1 Like

TP-Link TL-WR841N v13 only has 8 MB flash and 64 MB RAM, too low resources to run recent OpenWrt versions stable: https://openwrt.org/supported_devices/864_warning

Buy a newer device with more resources, preferably with 32 MB flash and 256 MB RAM, or more. 4/32 devices are now disabled for automated image builds. 8/64 devices are the new 4/32 with limited stability in newer OpenWrt versions because of too low resources.

Popular devices of today have, for example, 256 MB flash and 512 MB RAM.

2 Likes

I understood him to say that he'd already tested 23.05.0-rc1, but that he's just unwilling to test the release branch snapshot, which contains whatever changes have been made between 23.05.0-rc1 and rc2.

He replied to a suggestion to test master-snapshot with kernel 6.1 with this:

He does not like to try 23.05 because the firmware selector does not offer him an image.

Kernel 6.1 is not included in 23.05.

1 Like